@import url("https://use.typekit.net/qgc6uou.css");

:root {
  --font-mono: "source-code-pro", monospace;
  --font-sans: Avenir, Montserrat, Corbel, "URW Gothic", source-sans-pro,
    sans-serif;
  --font-default: "adobe-caslon-pro", serif;
  --gray: rgb(232, 232, 232);
  --gray-light: rgb(242, 242, 242);
  --black: rgb(38, 38, 38);
  --red: rgb(208, 82, 82);
  --green: rgb(62 162 115);
  --text-xs: 0.8em;
  --text-sm: 0.9em;
  --text-md: 1.2em;
  --text-lg: 2em;
  --text-xl: 2.8em;
  --text-2xl: 3.2em;
  --text-3xl: 3.5em;
}

@media screen and (max-width: 800px) {
  :root {
    --text-xl: 2em;
    --text-2xl: 2.5em;
    --text-3xl: 3em;
  }
}

* {
  box-sizing: border-box;
}

html {
  height: 100%;
  width: 100%;
}

body {
  scroll-behavior: smooth;
  margin: 0;
  padding: 0;
  font-size: calc(13px + (17 - 13) * ((100vw - 300px) / (1600 - 300)));
  min-height: 100%;
  width: 100%;
  background-color: var(--gray);
  color: var(--black);
  font-weight: 400;
  font-family: var(--font-default);
  overflow: auto;
  line-height: 1.25;
}

body > * {
  max-width: 1600px;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--gray);
}

input,
textarea {
  font-family: var(--font-sans);
  border: 1px solid var(--black);
  border-radius: 0.25rem;
}

header {
  position: fixed;
  top: 0;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  z-index: 1;
  max-width: 1330px;
  left: 0;
  right: 0;
  padding: 2em 0em;
}

@media screen and (max-width: 1330px) {
  header {
    padding: 2em 4em;
  }
}

@media screen and (max-width: 800px) {
  header {
    padding: 2em 2em;
  }
}

h1,
h2,
h3 {
  font-weight: normal;
}

ul,
li {
  margin: 0;
  padding: 0;
}

li {
  list-style-type: none;
  padding: 2px;
  margin: 2px 0;
}

button {
  background: transparent;
  border: none;
  cursor: pointer;
  transition: all;
  color: inherit;
  padding: 0;
}

@media screen and (max-width: 800px) {
  a:has(> img:first-child) {
    max-width: 200px;
  }
}

.img-button {
  display: flex;
  margin: 2em;
}

.img-button > img {
  width: 100%;
  max-width: max-content;
}

.img-button:hover > img {
  scale: 95%;
}

img.fill {
  aspect-ratio: 3/2;
  width: 100%;
  object-fit: cover;
  object-position: left;
}

.bg-dark {
  background-color: var(--black);
}

.bg-light {
  background-color: var(--gray);
}

.text-sans {
  font-family: var(--font-sans);
}

.text-mono {
  font-family: var(--font-mono);
}

.text-dark {
  color: var(--black);
}

.text-light {
  color: var(--gray);
}

.text-xs {
  font-size: var(--text-xs);
}

.text-sm {
  font-size: var(--text-sm);
}

.text-md {
  font-size: var(--text-md);
}

.text-lg {
  font-size: var(--text-lg);
}

.text-xl {
  font-size: var(--text-xl);
}

.text-2xl {
  font-size: var(--text-2xl);
}
.text-3xl {
  font-size: var(--text-3xl);
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-left {
  text-align: left;
}

.space-x-sm > * + * {
  margin-left: 1rem;
}

.space-x-md > * + * {
  margin-left: 4rem;
}

.space-y-md > * + * {
  margin-top: 4rem;
}

.space-y-sm > * + * {
  margin-top: 1rem;
}

.flex-col {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.flex-center {
  align-items: center;
}

header {
  background: transparent;
}

#logo {
  height: 15vh;
  width: auto;
  transition: height 0.3s ease-in-out;
}

.container {
  padding: 4rem 8rem;
}

.min-height-container {
  min-height: 35vh;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.container > .text-left {
  margin-left: 0;
}

@media screen and (max-width: 800px) {
  .container {
    padding: 2rem 2rem;
  }
}

.container > * {
  max-width: calc(1080px + 16rem);
  margin: 0 auto;
}

.container.fill {
  height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.container > * {
  margin-top: auto;
  margin-bottom: auto;
}

.header-claim {
  display: flex;
  height: calc(100vmin - 8rem);
  align-items: center;
  padding-top: 15vh;
}

.header-claim > * + * {
  margin-left: 4rem;
}

.header-claim > img {
  height: 60vh;
  width: auto;
}

@media screen and (max-width: 800px) {
  .header-claim {
    flex-direction: column;
    height: auto;
    padding-top: 20vh;
  }

  .header-claim > img {
    height: 48vh;
  }

  .header-claim > * + * {
    margin-left: 0rem;
  }
}

.main {
  overflow: auto;
  height: 100%;
  width: 100%;
  scroll-behavior: smooth;
}

@media screen and (max-width: 800px) {
  .main {
    flex-direction: column;
  }
}

.menu {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-end;
  flex: 1;
  pointer-events: all;
}

.menu__items {
  display: flex;
  flex-direction: row;
  pointer-events: all;
}

@media only screen and (max-width: 800px) {
  .menu__items {
    flex-direction: column;
  }

  .menu__items > * + * {
    margin-left: 0em !important;
    margin-top: 2em;
  }
}

.menu__items > * + * {
  margin-left: 2em;
}

.menu__item {
  color: var(--black);
  font-family: var(--font-mono);
  text-decoration: none;
  padding: 0.5em 0.6em;
  text-transform: uppercase;
  font-weight: 400;
  font-size: 0.9em;
  white-space: nowrap;
}

.menu__item::before {
  content: ">_";
  margin-right: 2px;
  opacity: 0;
  transition: all 200ms ease-in-out;
}

.menu__item:hover::before {
  opacity: 0.5;
}

.menu__item--active::before {
  opacity: 1;
}

.toggle,
#menu__toggle {
  display: none;
}

@media only screen and (max-width: 800px) {
  .menu {
    flex-direction: column;
    align-items: flex-end;
  }

  label .menu__item {
    display: none !important;
  }

  #menu__toggle:checked + label .menu__item {
    display: block !important;
    font-size: 1.1em;
  }

  .toggle {
    display: block !important;
    text-align: right;
    font-size: 1.5em;
    cursor: pointer;
    align-self: flex-end;
    padding: 0 5px;
  }

  .toggle:focus {
    outline: none !important;
  }

  .toggle:hover,
  .toggle:active {
    background: black;
    color: white;
  }

  #menu__toggle:checked + .toggle {
    background: black;
    color: white;
  }

  #menu__toggle:checked + label .menu__items {
    height: 100vh;
    width: 100vw;
    position: absolute;
    top: 0em;
    right: 0;
    justify-content: center;
    z-index: -1;
    align-items: center;
    background-color: #fcfcfc;
  }
}

:target:before {
  content: "";
  display: block;
}

.img-claim {
  position: relative;
}

.img-claim > .overlay {
  position: absolute;
  width: 50vw;
  right: 0;
  bottom: 0;
  max-height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 2rem;
  height: 100%;
}

@media only screen and (max-width: 800px) {
  .img-claim > .overlay {
    width: fit-content;
  }

  .img-claim > .overlay > p {
    font-size: 1.5rem !important;
    margin: 0;
  }
}

.overlay--left {
  left: 0 !important;
  right: auto !important;
}

.img-claim > .overlay > img {
  max-height: 50%;
  width: auto;
}

.email-order {
  position: relative;
  max-width: 400px;
}

.email-order.is-loading > button {
  pointer-events: none;
  background-color: lightgray;
}

.email-order > input {
  background: white;
  border: 1px solid var(--black);
  padding: 0.5rem 2rem 0.5rem 1rem;
  border-radius: 1.25rem;
  height: 2.5rem;
  width: 80%;
}

.email-order > button {
  height: 2.5rem;
  text-transform: uppercase;
  background-color: var(--black);
  color: var(--gray);
  padding: 0.5rem 1rem 0.5rem 1rem;
  border-radius: 1.25rem;
  position: absolute;
  right: 0;
  font-size: 0.8rem;
  font-weight: 600;
}

@media only screen and (max-width: 800px) {
  .email-order > button {
    position: relative;
    width: 100%;
  }
  .email-order > input {
    width: 100%;
    margin-bottom: 1rem;
  }
}

.email-order > span {
  padding: 0.5rem;
  display: inline-block;
}

.quotes {
  display: grid;
  grid-template-columns: repeat(2, minmax(auto, 500px));
}

@media only screen and (max-width: 800px) {
  .quotes {
    grid-template-columns: repeat(1, minmax(auto, 500px));
  }

  .quotes > .quote:nth-child(odd) {
    border-right: none !important;
  }

  .quote {
    padding: 1.5rem 1rem !important;
  }
}

.quotes > .quote:nth-child(odd) {
  border-right: 1px solid var(--black);
}

.quote {
  padding: 3rem 2rem 3rem 4rem;
  font-size: var(--text-md);
}

.quote > span:first-of-type {
  font-weight: bold;
}

.contact {
  display: flex;
  align-items: flex-start;
  max-width: 400px;
  flex-direction: column;
  left: 0;
  margin-left: 0;
}

.contact > p {
  font-size: var(--text-xs);
}

.contact > button {
  text-decoration: underline;
  text-transform: uppercase;
}

.contact > h3 {
  font-family: var(--font-sans);
  font-weight: bold;
  font-size: var(--text-sm);
}

a {
  color: inherit;
  text-decoration: none;
  scroll-behavior: smooth;
}

@media screen and (max-width: 800px) {
  .desktop-only {
    display: none;
  }
}

.popup {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
  background: rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(10px);
  display: flex;
  justify-content: center;
  align-items: center;
}

.popup-box {
  background: var(--gray);
  padding: 1em 2em;
  width: 90vw;
  max-width: 400px;
}

form > label {
  font-size: 0.7em;
  font-family: var(--font-sans);
}

form > input {
  padding: 0.5em 0.5em;
  background-color: var(--gray-light);
}

form > textarea {
  padding: 0.5em 0.25em;
  background-color: var(--gray-light);
}

.send-message {
  display: flex;
  flex-direction: column;
}

.send-message > * + label {
  margin-top: 1em;
}

.button--primary {
  height: 2.5rem;
  text-transform: uppercase;
  background-color: var(--black);
  color: var(--gray);
  padding: 0.5rem 1rem 0.5rem 1rem;
  border-radius: 1.25rem;
  font-size: 0.8rem;
  font-weight: 600;
}

.button--primary:hover {
  filter: brightness(1.1);
}

.button--secondary {
  height: 2.5rem;
  text-transform: uppercase;
  color: var(--black);
  padding: 0.5rem 1rem 0.5rem 1rem;
  border-radius: 1.25rem;
  font-size: 0.8rem;
  font-weight: 600;
  transition: all ease-in-out 100ms;
}

.button--secondary:hover {
  background-color: rgba(0, 0, 0, 0.05);
}

.button-bar {
  padding-top: 1em;
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.button-bar > * + * {
  margin-left: 1em;
}

.error-text {
  opacity: 0;
  font-size: var(--text-xs);
  color: var(--red);
}

.success-text {
  opacity: 0;
  font-size: var(--text-xs);
  color: var(--black);
}

#order-info-text {
  opacity: 0;
}

#contact-info-text {
  opacity: 0;
}

.download-box {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

@media only screen and (min-width: 800px) {
  .download-box > * + * {
    margin-left: 4rem;
  }
}

th, td {
  padding-top: 2px;
  padding-bottom: 2px;
  padding-left: 10px;
  padding-right: 2px;
}
